<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LASi: manager.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.4 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="annotated.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_844ccf4c9c5f524017223c512b74160f.html">src</a></div>
<h1>manager.h</h1><a href="manager_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 
<a name="l00013"></a>00013 <span class="preprocessor">#ifndef MANAGER_H</span>
<a name="l00014"></a>00014 <span class="preprocessor"></span><span class="preprocessor">#define MANAGER_H</span>
<a name="l00015"></a>00015 <span class="preprocessor"></span>
<a name="l00016"></a>00016 <span class="preprocessor">#include &lt;stdexcept&gt;</span>
<a name="l00017"></a>00017 <span class="preprocessor">#include &lt;string&gt;</span>
<a name="l00018"></a>00018 <span class="preprocessor">#include &lt;iostream&gt;</span>
<a name="l00019"></a>00019 
<a name="l00023"></a>00023 <span class="keyword">template</span> &lt;<span class="keyword">class</span> T&gt;
<a name="l00024"></a><a class="code" href="classManager.html">00024</a> <span class="keyword">class </span><a class="code" href="classManager.html" title="Manager template.">Manager</a> {
<a name="l00025"></a>00025   <span class="keyword">protected</span>: 
<a name="l00026"></a><a class="code" href="classManager.html#87957ca167ec720db8b9bc88fc83c9e4">00026</a>     T <a class="code" href="classManager.html#87957ca167ec720db8b9bc88fc83c9e4">_t</a>;
<a name="l00027"></a>00027 
<a name="l00028"></a>00028   <span class="keyword">public</span>: 
<a name="l00029"></a><a class="code" href="classManager.html#18fae41f0e313921265b84b5355ac733">00029</a>     <a class="code" href="classManager.html#18fae41f0e313921265b84b5355ac733">Manager</a>() : <a class="code" href="classManager.html#87957ca167ec720db8b9bc88fc83c9e4">_t</a>(0), <a class="code" href="classManager.html#41e4c8f7f6577b9221b5cf1bb5e4b496">_isOwner</a>(false) {}
<a name="l00030"></a>00030     <a class="code" href="classManager.html" title="Manager template.">Manager&lt;T&gt;</a>(<span class="keyword">const</span> T t) : <a class="code" href="classManager.html#87957ca167ec720db8b9bc88fc83c9e4">_t</a>(t), <a class="code" href="classManager.html#41e4c8f7f6577b9221b5cf1bb5e4b496">_isOwner</a>(<span class="keyword">true</span>) {}
<a name="l00031"></a><a class="code" href="classManager.html#6d58ffd84e1f297e8776df6ca07e61b4">00031</a>     <a class="code" href="classManager.html#6d58ffd84e1f297e8776df6ca07e61b4">operator T</a>()<span class="keyword"> const </span>{<span class="keywordflow">return</span> <a class="code" href="classManager.html#87957ca167ec720db8b9bc88fc83c9e4">_t</a>;}
<a name="l00032"></a>00032 
<a name="l00033"></a>00033   <span class="keyword">protected</span>:
<a name="l00034"></a><a class="code" href="classManager.html#2786293ded3430b5f57166c56eda9fec">00034</a>     <span class="keywordtype">bool</span> <a class="code" href="classManager.html#2786293ded3430b5f57166c56eda9fec">isOwner</a>()<span class="keyword"> const </span>{<span class="keywordflow">return</span> <a class="code" href="classManager.html#41e4c8f7f6577b9221b5cf1bb5e4b496">_isOwner</a>;}
<a name="l00035"></a><a class="code" href="classManager.html#a7309822f83dcce094f4d576b02dd62d">00035</a>     <span class="keywordtype">void</span> <a class="code" href="classManager.html#a7309822f83dcce094f4d576b02dd62d">release</a>() {<a class="code" href="classManager.html#41e4c8f7f6577b9221b5cf1bb5e4b496">_isOwner</a> = <span class="keyword">false</span>;}
<a name="l00036"></a>00036 
<a name="l00037"></a>00037   <span class="keyword">private</span>:
<a name="l00038"></a><a class="code" href="classManager.html#41e4c8f7f6577b9221b5cf1bb5e4b496">00038</a>     <span class="keywordtype">bool</span> <a class="code" href="classManager.html#41e4c8f7f6577b9221b5cf1bb5e4b496">_isOwner</a>;
<a name="l00039"></a>00039 };
<a name="l00040"></a>00040 
<a name="l00041"></a>00041 <span class="preprocessor">#endif</span>
</pre></div><hr size="1"><address style="text-align: right;"><small>Generated on Fri Feb 8 17:25:20 2008 for LASi by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.4 </small></address>
</body>
</html>
